unit Unit7;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm2 = class(TForm)
    ListBox1: TListBox;
    procedure ListBox1Click(Sender: TObject);
  private
    { Private 宣言 }
  public
    { Public 宣言 }
  end;

var
  Form2: TForm2;

implementation

uses Unit1, Unit3, Unit9;

{$R *.dfm}

procedure TForm2.ListBox1Click(Sender: TObject);
begin
  if Form1.IBTable1.Locate('Word',ListBox1.Items[ListBox1.ItemIndex],[]) = false then
  begin
    if (OKBottomDlg.CheckBox1.Checked = true)and(Form1.IBTable1.Filter = '')and
      (MessageDlg('見当たりません、削除しますか',mtConfirmation,mbOKCancel,0)= mrOK) then
    begin
        ListBox1.DeleteSelected;
    end else
    begin
        Caption:='out of categoly';
    end;
  end else
  begin
        Caption:='get label';
    with Form1.Timer1 do
    begin
    if Enabled = true then
    begin
        Enabled:=false;
        Enabled:=true;
    end;
    end;
  end;
        Form1.SetFocus;
end;

end.
